Get a folder structure Run in API Explorer

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.plannrcrm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
"PlannrCRM MCP server": {
  "url": "https://apidocs.plannrcrm.com/mcp"
}
Close
GET /api/v1/folder/{folder_uuid}/tree

Path parameters

  • folder_uuid string Required

Responses

  • 200 application/json
    Hide response attributes Show response attributes object
    • uuid string

      The UUID of the resource.

    • created_at string

      The timestamp of when the resource was created.

    • updated_at string

      The timestamp of when the resource was updated.

    • name string

      Folder name

    • slug string

      Slug of the folder name

    • path string

      Folder path

    • clients_read boolean

      Denotes whether clients can access this folder and files

    • clients_write boolean

      Denotes whether clients can upload files to this folder

    • show_client_permissions boolean

      Denotes whether the option to change client permissions is enabled which depends on the firm show pseudo folders in client portal setting

    • is_system_folder boolean

      Denotes if this folder is a system folder

    • is_pseudo_folder boolean

      Denotes if this folder is a pseudo folder

    • is_root_folder boolean

      Denotes if this folder is a root folder of a documentable item

    • documentable_type string

      The documentable type such as account/plan/case/etc the file was uploaded to

    • documentable_uuid string

      The UUID of the documentable resource

    • documentable string

      The documentable the file was uploaded to

    • participants_count integer

      Number of accounts this folder has been directly shared with

    • participants array[object]

      Participants whom this folder has been directly shared with.

      Hide participants attributes Show participants attributes object
      • uuid string
      • created_at string
      • updated_at string
      • name string
      • write boolean
    • folders_count integer

      Number of subfolders within the folder

    • folders array[object]

      Subfolders within the folder.

      Hide folders attributes Show folders attributes object
      • uuid string
      • created_at string
      • updated_at string
      • name string
      • slug string
      • path string
      • clients_read boolean
      • clients_write boolean
      • show_client_permissions boolean
      • is_system_folder boolean
      • is_pseudo_folder boolean
      • is_root_folder boolean
      • documentable_type string
      • documentable_uuid string
      • documentable string
      • participants_count integer
      • participants string
      • folders_count integer
      • folders string
      • files_count integer
      • files string
      • parents string
      • ancestors string
      • children string
      • depth integer
      • owned boolean
    • files_count integer

      Number of files stored in the folder

    • files array[object]

      Files stored in the folder.

      Hide files attributes Show files attributes object
      • uuid string
      • created_at string
      • original_created_at string
      • updated_at string
      • uploaded_at string
      • status string
      • filename string
      • name string
      • extension string
      • type string
      • size string
      • path string
      • last_modified string
      • progress string
      • download_url string
      • folder_name string
      • folder string
      • documentable_type string
      • documentable string
      • navigator object
        Hide navigator attributes Show navigator attributes object
        • model_type string
        • model_uuid string
      • firm string
      • account string
      • tags string
    • parents array[object]

      Parent folders.

      Hide parents attributes Show parents attributes object
      • uuid string
      • created_at string
      • updated_at string
      • name string
      • slug string
      • path string
      • clients_read boolean
      • clients_write boolean
      • show_client_permissions boolean
      • is_system_folder boolean
      • is_pseudo_folder boolean
      • is_root_folder boolean
      • documentable_type string
      • documentable_uuid string
      • documentable string
      • participants_count integer
      • participants string
      • folders_count integer
      • folders string
      • files_count integer
      • files string
      • parents string
      • ancestors string
      • children string
      • depth integer
      • owned boolean
    • ancestors array[object]

      All parents folders up the folder hierarchy structure.

      Hide ancestors attributes Show ancestors attributes object
      • uuid string
      • created_at string
      • updated_at string
      • name string
      • slug string
      • path string
      • clients_read boolean
      • clients_write boolean
      • show_client_permissions boolean
      • is_system_folder boolean
      • is_pseudo_folder boolean
      • is_root_folder boolean
      • documentable_type string
      • documentable_uuid string
      • documentable string
      • participants_count integer
      • participants string
      • folders_count integer
      • folders string
      • files_count integer
      • files string
      • parents string
      • ancestors string
      • children string
      • depth integer
      • owned boolean
    • children array[object]

      Subfolders within the folder.

      Hide children attributes Show children attributes object
      • uuid string
      • created_at string
      • updated_at string
      • name string
      • slug string
      • path string
      • clients_read boolean
      • clients_write boolean
      • show_client_permissions boolean
      • is_system_folder boolean
      • is_pseudo_folder boolean
      • is_root_folder boolean
      • documentable_type string
      • documentable_uuid string
      • documentable string
      • participants_count integer
      • participants string
      • folders_count integer
      • folders string
      • files_count integer
      • files string
      • parents string
      • ancestors string
      • children string
      • depth integer
      • owned boolean
    • depth integer

      How many levels deep there are to this folder hierarchy structure

    • owned boolean

      Is true if the authenticated account in the request has created this folder

GET /api/v1/folder/{folder_uuid}/tree
curl \
 --request GET 'https://api.plannrcrm.com/api/v1/folder/6ff8f7f6-1eb3-3525-be4a-3932c805afed/tree' \
 --header "Authorization: Bearer $ACCESS_TOKEN"
Response examples (200)
{
  "uuid": "e6a39781-a9a1-4d3b-9a5e-a457258f9afe",
  "created_at": "2026-06-08T16:08:03+01:00",
  "updated_at": "2026-06-08T16:08:03+01:00",
  "name": "Important Documents",
  "slug": "important-documents",
  "path": "Codepotato/Important Documents",
  "clients_read": true,
  "clients_write": true,
  "show_client_permissions": true,
  "is_system_folder": true,
  "is_pseudo_folder": true,
  "is_root_folder": true,
  "documentable_type": "account",
  "documentable_uuid": "account",
  "documentable": "Object",
  "participants_count": 3,
  "participants": [
    {
      "uuid": "e0728573-ea9b-46e2-9126-8d784f206469",
      "created_at": "2026-06-08T16:08:03+01:00",
      "updated_at": "2026-06-08T16:08:03+01:00",
      "name": "Gareth Thompson",
      "write": true
    }
  ],
  "folders_count": 5,
  "folders": [
    {
      "uuid": "5e302f0d-ccef-456f-9677-4a75cf61e86c",
      "created_at": "2026-06-08T16:08:03+01:00",
      "updated_at": "2026-06-08T16:08:03+01:00",
      "name": "Important Documents",
      "slug": "important-documents",
      "path": "Codepotato/Important Documents",
      "clients_read": true,
      "clients_write": true,
      "show_client_permissions": true,
      "is_system_folder": true,
      "is_pseudo_folder": true,
      "is_root_folder": true,
      "documentable_type": "account",
      "documentable_uuid": "account",
      "documentable": "Object",
      "participants_count": 3,
      "participants": "App\\Http\\Resources\\FolderParticipantResource",
      "folders_count": 5,
      "folders": "App\\Http\\Resources\\FolderResource",
      "files_count": 8,
      "files": "App\\Http\\Resources\\FileResource",
      "parents": "App\\Http\\Resources\\FolderResource",
      "ancestors": "App\\Http\\Resources\\FolderResource",
      "children": "App\\Http\\Resources\\FolderResource",
      "depth": 5,
      "owned": false
    }
  ],
  "files_count": 8,
  "files": [
    {
      "uuid": "69dd84fd-9e54-4b85-8528-8c8be96d9919",
      "created_at": "2026-06-08T16:08:03+01:00",
      "original_created_at": "2026-06-08T16:08:03+01:00",
      "updated_at": "2026-06-08T16:08:03+01:00",
      "uploaded_at": "2026-06-08T16:08:03+01:00",
      "status": "uploaded",
      "filename": "Welcome to Plannr.pdf",
      "name": "Welcome to Plannr",
      "extension": "pdf",
      "type": "type",
      "size": "21691783",
      "path": "Gareth Thompson/Subfolder/Welcome to Plannr.pdf",
      "last_modified": "2026-06-08T16:08:03+01:00",
      "progress": "100",
      "download_url": "https://api.plannrcrm.com/file/7947fd9c-0c22-4a04-a0c4-59c7aa0bc23d/download",
      "folder_name": "folder 2",
      "folder": "App\\Http\\Resources\\FolderResource",
      "documentable_type": "account",
      "documentable": "Object",
      "navigator": {
        "model_type": "account",
        "model_uuid": "d16a27e2-bb4f-4907-aea1-e44e5cf9b5e1"
      },
      "firm": "App\\Http\\Resources\\FirmResource",
      "account": "App\\Http\\Resources\\MinimalAccountResource",
      "tags": "App\\Http\\Resources\\TagResource"
    }
  ],
  "parents": [
    {
      "uuid": "5cc01818-2585-4ee6-a28d-56d1863a1a43",
      "created_at": "2026-06-08T16:08:03+01:00",
      "updated_at": "2026-06-08T16:08:03+01:00",
      "name": "Important Documents",
      "slug": "important-documents",
      "path": "Codepotato/Important Documents",
      "clients_read": true,
      "clients_write": true,
      "show_client_permissions": true,
      "is_system_folder": true,
      "is_pseudo_folder": true,
      "is_root_folder": true,
      "documentable_type": "account",
      "documentable_uuid": "account",
      "documentable": "Object",
      "participants_count": 3,
      "participants": "App\\Http\\Resources\\FolderParticipantResource",
      "folders_count": 5,
      "folders": "App\\Http\\Resources\\FolderResource",
      "files_count": 8,
      "files": "App\\Http\\Resources\\FileResource",
      "parents": "App\\Http\\Resources\\FolderResource",
      "ancestors": "App\\Http\\Resources\\FolderResource",
      "children": "App\\Http\\Resources\\FolderResource",
      "depth": 5,
      "owned": false
    }
  ],
  "ancestors": [
    {
      "uuid": "70b95ded-b407-4d02-aa3a-d817507c5017",
      "created_at": "2026-06-08T16:08:03+01:00",
      "updated_at": "2026-06-08T16:08:03+01:00",
      "name": "Important Documents",
      "slug": "important-documents",
      "path": "Codepotato/Important Documents",
      "clients_read": true,
      "clients_write": true,
      "show_client_permissions": true,
      "is_system_folder": true,
      "is_pseudo_folder": true,
      "is_root_folder": true,
      "documentable_type": "account",
      "documentable_uuid": "account",
      "documentable": "Object",
      "participants_count": 3,
      "participants": "App\\Http\\Resources\\FolderParticipantResource",
      "folders_count": 5,
      "folders": "App\\Http\\Resources\\FolderResource",
      "files_count": 8,
      "files": "App\\Http\\Resources\\FileResource",
      "parents": "App\\Http\\Resources\\FolderResource",
      "ancestors": "App\\Http\\Resources\\FolderResource",
      "children": "App\\Http\\Resources\\FolderResource",
      "depth": 5,
      "owned": false
    }
  ],
  "children": [
    {
      "uuid": "ae8a561d-9a2d-448c-afe7-cc381d749d94",
      "created_at": "2026-06-08T16:08:03+01:00",
      "updated_at": "2026-06-08T16:08:03+01:00",
      "name": "Important Documents",
      "slug": "important-documents",
      "path": "Codepotato/Important Documents",
      "clients_read": true,
      "clients_write": true,
      "show_client_permissions": true,
      "is_system_folder": true,
      "is_pseudo_folder": true,
      "is_root_folder": true,
      "documentable_type": "account",
      "documentable_uuid": "account",
      "documentable": "Object",
      "participants_count": 3,
      "participants": "App\\Http\\Resources\\FolderParticipantResource",
      "folders_count": 5,
      "folders": "App\\Http\\Resources\\FolderResource",
      "files_count": 8,
      "files": "App\\Http\\Resources\\FileResource",
      "parents": "App\\Http\\Resources\\FolderResource",
      "ancestors": "App\\Http\\Resources\\FolderResource",
      "children": "App\\Http\\Resources\\FolderResource",
      "depth": 5,
      "owned": false
    }
  ],
  "depth": 5,
  "owned": false
}